Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class RecordWriterPrefilter

    java.lang.Object
      com.servingxml.components.recordio.RecordWriterPrefilter

All Implemented Interfaces:
  RecordWriter

    public class RecordWriterPrefilter

extends java.lang.Object
implements RecordWriter

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordWriter
`RecordWriter.DefaultDiscardWriter, RecordWriter.NullRecordWriter`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordWriter
`DEFAULT_DISCARD_WRITER, NULL`

Constructor Summary
`RecordWriterPrefilter(RecordWriter recordWriter, ParameterDescriptor[] parameterDescriptors)`

Method Summary
`void` | `close()`
`void` | `endRecordStream(ServiceContext context, Flow flow)`
`void` | `startRecordStream(ServiceContext context, Flow flow)`
`void` | `writeRecord(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordWriterPrefilter

    public RecordWriterPrefilter(RecordWriter recordWriter,
                                 ParameterDescriptor[] parameterDescriptors)

Method Detail

### startRecordStream

    public void startRecordStream(ServiceContext context,
                                  Flow flow)

  Specified by:
    `startRecordStream` in interface `RecordWriter`

### endRecordStream

    public void endRecordStream(ServiceContext context,
                                Flow flow)

  Specified by:
    `endRecordStream` in interface `RecordWriter`

### writeRecord

    public void writeRecord(ServiceContext context,
                            Flow flow)

  Specified by:
    `writeRecord` in interface `RecordWriter`

### close

    public void close()

  Specified by:
    `close` in interface `RecordWriter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD